DCMTK: dcmtk::log4cplus::helpers::LogLog Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
dcmtk::log4cplus::helpers::LogLog Class Reference

This class used to output log statements from within the log4cplus package. More...

## Public Types
typedef LogLog * | Ptr
| Return type of getLogLog().

## Public Member Functions
void | setInternalDebugging (bool enabled)
| Allows to enable/disable log4cplus internal logging.
void | setQuietMode (bool quietMode)
| In quite mode no LogLog generates strictly no output, not even for errors.
void | debug (const log4cplus::tstring &msg) const
| This method is used to output log4cplus internal debug statements.
void | error (const log4cplus::tstring &msg, bool throw_flag=false) const
| This method is used to output log4cplus internal error statements.
void | warn (const log4cplus::tstring &msg) const
| This method is used to output log4cplus internal warning statements.

## Static Public Member Functions
static Ptr | getLogLog ()
| Returns a reference to the `LogLog` singleton.

## Detailed Description

This class used to output log statements from within the log4cplus package.

Log4cplus components cannot make log4cplus logging calls. However, it is sometimes useful for the user to learn about what log4cplus is doing. You can enable log4cplus internal logging by defining the log4cplus.configDebug variable.

All log4cplus internal debug calls go to `cout` where as internal error messages are sent to `cerr`. All internal messages are prepended with the string "log4clus: ".

## Member Function Documentation

## ◆ debug()

void dcmtk::log4cplus::helpers::LogLog::debug | ( | const log4cplus::tstring & | msg | ) | const

This method is used to output log4cplus internal debug statements.

Output goes to `STD_NAMESPACE cout`.

References debug().

Referenced by debug().

## ◆ error()

void dcmtk::log4cplus::helpers::LogLog::error | ( | const log4cplus::tstring & | msg,
|  | bool | throw_flag = false ) const

This method is used to output log4cplus internal error statements.

There is no way to disable error statements. Output goes to `STD_NAMESPACE cerr`. Optionally, this method can throw STD_NAMESPACE runtime_error exception too.

References error().

Referenced by error().

## ◆ setQuietMode()

void dcmtk::log4cplus::helpers::LogLog::setQuietMode | ( | bool | quietMode | ) |

In quite mode no LogLog generates strictly no output, not even for errors.

Parameters

  quietMode | A true for not

## ◆ warn()

void dcmtk::log4cplus::helpers::LogLog::warn | ( | const log4cplus::tstring & | msg | ) | const

This method is used to output log4cplus internal warning statements.

There is no way to disable warning statements. Output goes to `STD_NAMESPACE cerr`.

References warn().

Referenced by warn().

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/helpers/loglog.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2